import { CodeAction, CodeActionContext, Range, WorkspaceEdit } from 'vscode-languageserver';
import { Document } from '../../../lib/documents';
import { CodeActionsProvider } from '../../interfaces';
import { LSAndTSDocResolver } from '../LSAndTSDocResolver';
import { CompletionsProviderImpl } from './CompletionProvider';
export declare class CodeActionsProviderImpl implements CodeActionsProvider {
    private readonly lsAndTsDocResolver;
    private readonly completionProvider;
    constructor(lsAndTsDocResolver: LSAndTSDocResolver, completionProvider: CompletionsProviderImpl);
    getCodeActions(document: Document, range: Range, context: CodeActionContext): Promise<CodeAction[]>;
    private organizeImports;
    private fixIndentationOfImports;
    private checkRemoveImportCodeActionRange;
    private applyQuickfix;
    private getApplicableRefactors;
    private applicableRefactorsToCodeActions;
    executeCommand(document: Document, command: string, args?: any[]): Promise<WorkspaceEdit | null>;
    /**
     * Some refactorings place the new code at the end of svelte2tsx' render function,
     *  which is unmapped. In this case, add it to the end of the script tag ourselves.
     */
    private checkEndOfFileCodeInsert;
    private getLSAndTSDoc;
}
